import React from 'react';
import { Layout, Menu, Breadcrumb, Icon, Button, Row, Col, Tag } from 'antd';
import { Input } from 'antd';
import NamespaceSelect from './namespaceSelect';
import Text from 'antd/lib/typography/Text';

const { TextArea } = Input;
const { Header, Content, Footer, Sider } = Layout;
const { SubMenu } = Menu;

class SiderConfig extends React.Component {
  state = {
    collapsed: false,
  };

  onCollapse = collapsed => {
    console.log(collapsed);
    this.setState({ collapsed });
  };

  render() {
    return (
      <Layout style={{ minHeight: '100vh' }}>
        <Sider collapsed={this.state.collapsed} onCollapse={this.onCollapse}>
          <div className="logo" />
          <Menu theme="dark" defaultOpenKeys={['namespace']} defaultSelectedKeys={['namespace']} mode="inline"  >

            <SubMenu
              collapsed="true"
              key="namespace"
              title={
                <span>
                  <Icon type="team" />
                  Namespace
              </span>
              }>
              <NamespaceSelect>

              </NamespaceSelect>
            </SubMenu>


          </Menu>
        </Sider>
        <Layout>
          <Header itemType="flex" style={{ justifyContent: "flex-end", background: '#fff', padding: 0, }}>

            <Row type="flex" justify="end">
              <Col>
                <Text style={{ alignSelf: "flex-end", fontSize: 16, color: "#f37b1d" }}>用户:</Text>
                <Text style={{ fontSize: 16 }}>{this.props.userName}</Text>
                <Button type="primary" style={{ margin: "0px 10px 0 20px", width: '100px', }}>退出</Button>
              </Col>
            </Row>

          </Header >
          <Content style={{ margin: '0 16px' }}>
            <Breadcrumb style={{ margin: '8px 0' }}>
              <Breadcrumb.Item>User</Breadcrumb.Item>
              <Breadcrumb.Item>Bill</Breadcrumb.Item>
            </Breadcrumb>
            <TextArea style={{ minHeight: '92%' }}>

            </TextArea>
          </Content>

        </Layout>
      </Layout>
    );
  }
}

export default SiderConfig;